Package org.lwjgl.opengl

# Class NVTextureCompressionVTC

java.lang.Object
org.lwjgl.opengl.NVTextureCompressionVTC

public final class NVTextureCompressionVTC extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COMPRESSED_RGB_S3TC_DXT1_EXT`
Accepted by the <internalformat> parameter of TexImage3D and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB:
`static final int`
`GL_COMPRESSED_RGBA_S3TC_DXT1_EXT`
Accepted by the <internalformat> parameter of TexImage3D and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB:
`static final int`
`GL_COMPRESSED_RGBA_S3TC_DXT3_EXT`
Accepted by the <internalformat> parameter of TexImage3D and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB:
`static final int`
`GL_COMPRESSED_RGBA_S3TC_DXT5_EXT`
Accepted by the <internalformat> parameter of TexImage3D and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_COMPRESSED_RGB_S3TC_DXT1_EXT

public static final int GL_COMPRESSED_RGB_S3TC_DXT1_EXT
Accepted by the <internalformat> parameter of TexImage3D and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_S3TC_DXT1_EXT

public static final int GL_COMPRESSED_RGBA_S3TC_DXT1_EXT
Accepted by the <internalformat> parameter of TexImage3D and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_S3TC_DXT3_EXT

public static final int GL_COMPRESSED_RGBA_S3TC_DXT3_EXT
Accepted by the <internalformat> parameter of TexImage3D and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_S3TC_DXT5_EXT

public static final int GL_COMPRESSED_RGBA_S3TC_DXT5_EXT
Accepted by the <internalformat> parameter of TexImage3D and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB:

See Also:
  - Constant Field Values